Skip to main content
POST
/
v1
/
admin
/
api-keys
Create an API key for your tenant
curl --request POST \
  --url https://api.withsplendor.com/v1/admin/api-keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-splendor-tenant-id: <x-splendor-tenant-id>' \
  --data '
{
  "name": "<string>"
}
'
{
  "created_at": "2026-01-15T09:30:00Z",
  "id": 1,
  "last_used_at": "2026-01-15T09:30:00Z",
  "name": "production",
  "revoked_at": null,
  "token": "spltk.v1.YWNtZQ.EXAMPLE-secret-shown-once"
}

Authorizations

Authorization
string
header
required

API token issued from the Splendor console.

Headers

x-splendor-tenant-id
string
required

Selects the tenant (workspace) the request acts within.

Body

application/json

Tenant-admin request to mint a machine-to-machine API key that acts as the tenant for direct programmatic API access.

name
string
required
Required string length: 1 - 255

Response

Successful Response

A tenant API key. The plaintext token is returned only when the key is minted; thereafter only the metadata is retrievable.

created_at
string<date-time>
required
id
integer
required
name
string
required
last_used_at
string<date-time> | null
revoked_at
string<date-time> | null
token
string | null